import request from '@/utils/request'

// 查询设施列表
export function listEquipment(query) {
  return request({
    url: '/system/hallEqu/list',
    method: 'get',
    params: query
  })
}

// 查询设施详细
export function getEquipment(equipmentId) {
  return request({
    url: '/system/hallEqu/' + equipmentId,
    method: 'get'
  })
}

// 新增设施
export function addEquipment(data) {
  return request({
    url: '/system/hallEqu',
    method: 'post',
    data: data
  })
}

// 修改设施
export function updateEquipment(data) {
  return request({
    url: '/system/hallEqu',
    method: 'put',
    data: data
  })
}

// 删除设施
export function delEquipment(equipmentId) {
  return request({
    url: '/system/hallEqu/' + equipmentId,
    method: 'delete'
  })
}
